<?
/*
	____config.php
	Version 5.5 du 2013-02
	Php ver >= 5.3
	Format de fichier : UTF-8
	---------------------------------------------------------------------------
	Auteur : Vincent Humeau
	Copyright : © 2011-2013 Trans-Sphère sarl, tous droits réservés
	---------------------------------------------------------------------------
*/
/**************************************************************************************
	DEFINITIONS
**************************************************************************************/
	define( "_VERSION_"					, '1.0'																);
	define( "_ANNEE_MEP_"				, 2017																);
	define(	"_SITE_EN_DEVELOPPEMENT_"	, false																);
	define( "_CACHE_"					, (_SITE_EN_DEVELOPPEMENT_)	? false:28800							);
	define( "_ENCODAGE_"				, 'UTF-8'															);
	define( "_BUFFERISATION_"			, false																);
	define( "_IPS_DEVELOPPEURS_"		, ' '.''															);
	define( "_DEVELOPPEURS_MOTEURS_"	, false																);
	define( "_IPS_CLIENTS_"				, ''																);
	define( "_IPS_HORS_LOGS_"			, $_SERVER['SERVER_ADDR'].' '._IPS_DEVELOPPEURS_.' '._IPS_CLIENTS_	);
	define( "_LOGS_IN_BDD_"				, true																);
	
	define(	"_PATH_ROOT_"				, '/home/Sites/caph/'	);
	define(	"_PATH_INCLUDES_"			, _PATH_ROOT_.'__includes/'					);
	define(	"_PATH_CLASSES_"			, _PATH_INCLUDES_.'classes_v'._VERSION_.'/'	);
	define(	"_PATH_WEB_"				, 'www/'									);
	define(	"_PATH_SITE_"				, _PATH_ROOT_._PATH_WEB_					);
		
	define( "_SMARTY_REGEXP_"			, '/{((\_|\$)+[A-Za-z0-9_]+)}/'		);
	define( "_PATH_HTML_"				, _PATH_SITE_.'__html/'				);
	define( "_PATH_VUES_"				, _PATH_SITE_.'_vues/'				);
	define( "_PATH_CONTROLLEURS_"		, _PATH_SITE_.'_controlleurs/'		);
	define( "_PATH_MODELES_"			, _PATH_SITE_.'_modeles/'			);
	
	define(	"_FILE_ERRORDOCUMENT_"		, '__ErrorDocument.php'	);
	define(	"_PATH_ERRORDOCUMENT_"		, _PATH_SITE_._FILE_ERRORDOCUMENT_		);
	define(	"_PATH_MAINTENANCE_"		, _PATH_SITE_.'__maintenance.html'		);
	
	define( "_DOMAINE_"					, 'huissier-competent.com'				);
	define( "_SOUS_DOMAINE_"			, 'www'									);
	define( "_SITE_"					, _SOUS_DOMAINE_.'.'._DOMAINE_			);
	define( "_URL_SITE_"				, 'https//'._SITE_.'/'					);
	define( "_URL_LIB_"					, _URL_SITE_.'__lib/'					);
	define( "_URL_PHOTOS_"				, _URL_LIB_.'img/photo/'				);
	define( "_URL_LOGO_"				, _URL_LIB_.'img/_mono/logo.png'		);

	define( "_FAVICON_ICO_"				, 'type="image/x-icon" href="'._URL_SITE_.'favicon.ico"'	);
	
	define( "_URL_TARGET_"					, 'https://www.huissier-competent.com/'						);
	define( "_URL_TARGET_SUP_COMPETENCES_"	, 'huissier-92-huissier-de-justice-92-competences-territoriales'	);
	define( "_URL_TARGET_SUP_COURDAPPEL_"	, 'huissier-92-huissier-de-justice-92-competence-cour-d-appel' 		);
	define( "_URL_TARGET_SUP_NATIONAL_"		, 'huissier-de-justice-competence-nationale'						);
	define( "_DENOMINATION_"			, 'SCP SCDS'										);
	define( "_MAIL_CONTACT_"			, 'contact@'._DOMAINE_								);
	define( "_TEL_CONTACT_"				, '+33820204446'									);
	/* 24h24 08 20 20 44 46 +33820204446 */
	/* SCP publique +33146568333 */
	/* SCP APHP +33146563876 */
	/* RD +33688168774 */
		
	define( "_META_AUTHOR_"				, 'WebDesign & Développement : TRANS-SPHÈRE sarl [ http://www.trans-sphere.com ]'	);
	define( "_META_COPYRIGHT_"			, '© '.((date("Y") == _ANNEE_MEP_) ? _ANNEE_MEP_:_ANNEE_MEP_.'-'.date("Y")).' '._DENOMINATION_								);


	define( "_MAIL_EXPEDITEUR_"			, 'postmaster@'._DOMAINE_			);
	define( "_MAIL_DEVELOPPEUR_"		, ''								);
	define( "_MAILS_MOUCHARDS_"			, false								);
	define( "_MAILS_VEILLEURS_"			, _MAIL_DEVELOPPEUR_.'(1,1)'		);//(adresse1 | nom1#adresse1)(format1,condition1)&(adresse2 |...
	define( "_MAILS_BILAN_TO_"			, ''								);
	
	define( "_BDD_HOST_"				, 'localhost'		);
	define( "_BDD_DB_"					, 'caph'				);
	define( "_BDD_USER_"				, 'root'							);
	define( "_BDD_PWD_"					, 'tr9!Xc!!N2KdE2!5'						);
	
	define( "_TABLE_PREFIX_"			, ''								);
	
	define( "_TABLE_LANGS_"				, _TABLE_PREFIX_.'NAV_LANGS'		);
	define( "_TABLE_MENUS_"				, _TABLE_PREFIX_.'NAV_MENUS'		);
	define( "_TABLE_MENUS_ITEMS_"		, _TABLE_PREFIX_.'NAV_MENUS_ITEMS'	);
	define( "_TABLE_PAGES_DATAS_"		, _TABLE_PREFIX_.'NAV_PAGES_DATAS'	);
	define( "_TABLE_PAGES_METAS_"		, _TABLE_PREFIX_.'NAV_PAGES_METAS'	);
	define( "_TABLE_PAGES_VUES_"		, _TABLE_PREFIX_.'NAV_PAGES_VUES'	);
	define( "_TABLE_URIS_"				, _TABLE_PREFIX_.'NAV_URIS'			);
	
	define( "_TABLE_COMMUNES_"			, 'DAT_COMMUNES'		);
	define( "_TABLE_DEPARTEMENTS_"		, 'DAT_DEPARTEMENTS'	);
	define(	"_TABLE_ACTES_SEGMENTS_"	, 'DAT_ACTES_SEGMENTS'	);
	define(	"_TABLE_ACTES_ACTIONS_"		, 'DAT_ACTES_ACTIONS'	);
	define(	"_TABLE_ACTES_"				, 'DAT_ACTES'			);
	
	define( "_TABLE_MOTEURS_"			, '_MOTEURS_v8'			);//64bits
	define( "_TABLE_BROWSERS_"			, '_BROWSERS_v5'		);
	
	define( "_TABLE_PREFIX_LOGS_"		, ''								);
	
	$TABLE_LOGS = (_SITE_EN_DEVELOPPEMENT_) ? _TABLE_PREFIX_LOGS_.'LOGS_DEV':_TABLE_PREFIX_LOGS_.'LOGS';
	define( "_TABLE_LOGS_"				, $TABLE_LOGS			);
	define( "_TABLE_LOGS_JOURS_"		, _TABLE_PREFIX_LOGS_.'LOGS_JOURS'		);
	define( "_TABLE_LOGS_MOIS_"			, _TABLE_PREFIX_LOGS_.'LOGS_MOIS'		);
	define( "_TABLE_LOGS_SEARCH_"		, _TABLE_PREFIX_LOGS_.'LOGS_SEARCH'		);
	define( "_BDD_LOGS_SIZEMAX_"		, 200					);
	define( "_TABLE_LOGS_STARTDATE_"	, '2017-03-20'			);
	define( "_LOGS_COLORS_"				, '3,59,155 70,133,242'	);//texte;rangées d'entête
	define( "_LOGS_TELECHARGEMENTS_"	, false					);
/**************************************************************************************
	INITIALISATIONS
**************************************************************************************/
	if(_SITE_EN_DEVELOPPEMENT_) error_reporting(E_ALL); else error_reporting(0);
	// (-1) = (E_ALL | E_STRICT), mais E_STRICT donne des "Strict Standards: Resource ID#6 used as offset, casting to integer (6)" pour les cnx BDD
	mb_internal_encoding(_ENCODAGE_);
/**************************************************************************************
	Maintenance
**************************************************************************************/
	$MAINTENANCE = false;
	if($MAINTENANCE){
		header("HTTP/1.1 503 Service Unavailable");
		include( _PATH_MAINTENANCE_ );
		exit();
	}
/**************************************************************************************
	FONCTIONS
**************************************************************************************/
	function __autoload($name) {
    	@include(_PATH_CLASSES_ . $name . '.php');
		if(!class_exists($name)) @include(_PATH_CLASSES_ . 'core/'		. $name . '.php');
		if(!class_exists($name)) @include(_PATH_CONTROLLEURS_ . $name . '.php');
		if(!class_exists($name)) @include(_PATH_MODELES_ . $name . '.php');
		if(!class_exists($name)) trigger_error("Impossible de charger la classe $name", E_USER_ERROR);
	}
// __DIR__ et __FILE__
?>
