<?
/*
	Builder {.css}
	Version 4.2 du 2012-07
	Php ver >= 5.3
	Format de fichier : UTF-8
	---------------------------------------------------------------------------
	Auteur : Vincent Humeau
	Copyright : © 2011 Trans-Sphère sarl, tous droits réservés
	---------------------------------------------------------------------------
	.htaccess lié :
		RewriteEngine On
		RewriteRule (.*) builder.php [L]
	---------------------------------------------------------------------------
*/
// Configuration générale
	require( $_SERVER["DOCUMENT_ROOT"] . '/____config.php');
// Initialisation
	$o_db	= new _Mysql(array('host'=>_BDD_HOST_,'db'=>_BDD_DB_,'user'=>_BDD_USER_,'pwd'=>_BDD_PWD_));
	$o_env	= new _Env(false, true);
	$o_css	= new _Css($o_env->client_systeme, $o_env->client_browser, $o_env->client_renderer);
// Catalogue de base
	$catalogue['base'] = array('params.php','core.css','commun.css','responsive.css');
// Vérification de la demande
	if(!preg_match('/([a-z]+)(_[0-9]+\.[0-9]+)\.css$/',$_SERVER['REQUEST_URI'],$matcher) || !in_array($matcher[1],array_keys($catalogue)) || (substr($matcher[2],1) != _VERSION_) ){
		unset($o_env);
		header("HTTP/1.1 404 Not Found");
		$CODE_RESPONSE = 404;
		include( _PATH_SITE_ . _FILE_ERRORDOCUMENT_);
		exit();
	}
// Headers
	$o_env->cache_headers(1);
	header("Content-type: text/css; charset=utf-8");
// Signature du fichier
	$com = array('/*','*/');
	$version = _VERSION_;
	$date = date('d/m/Y', filemtime( $catalogue[$matcher[1]][($matcher[1] == "base") ? 1:0]) );
	$annee = date('Y');
	$web = _SITE_;
	$entete = <<<STOP
@charset "UTF-8";
$com[0]
	CSS Document
	
	Version : $version du $date
	Web	: $web
	Auteur	: Vincent HUMEAU
	
	© 2012-$annee Trans-Sphère Sarl	Internet & Multimédia	http://www.trans-sphere.com	
$com[1]
STOP;
// Bufferisation
	ob_start();
	/*if($matcher[1] == "base")*/ print($entete.PHP_EOL);
	foreach($catalogue[$matcher[1]] as $fichier) include($fichier);
	$contenu = ob_get_clean();
// Expédition du script
	if( isset($_SERVER['HTTP_ACCEPT_ENCODING']) && preg_match('/gzip/',$_SERVER['HTTP_ACCEPT_ENCODING']) ){
		header("Content-Encoding: gzip"); $compress = gzencode ($contenu, 9); print($compress);
	}else print($contenu);
?>
