<?
/*
	Builder {.js}
	Version 4.2 du 2012-02
	Php ver >= 5.3
	Format de fichier : UTF-8
	---------------------------------------------------------------------------
	Auteur : Vincent Humeau
	Copyright : © 2011 Trans-Sphère sarl, tous droits réservés
	---------------------------------------------------------------------------
	.htaccess lié :
		RewriteEngine On
		RewriteRule (.*) builder.php [L]
	---------------------------------------------------------------------------
*/
// Configuration générale
	require( $_SERVER["DOCUMENT_ROOT"] . '/____config.php');
// Initialisation
	$o_db	= new _Mysql(array('host'=>_BDD_HOST_,'db'=>_BDD_DB_,'user'=>_BDD_USER_,'pwd'=>_BDD_PWD_));
	$o_env	= new _Env(false, true);
// Catalogue
	$catalogue['body'] = array(	'jquery-3.2.0.min.js', 'specifique.compact.js' );
// Vérification de la demande
	if(!preg_match('/([a-z]+)(_[0-9]+\.[0-9]+)\.js$/',$_SERVER['REQUEST_URI'],$matcher) || !in_array($matcher[1],array_keys($catalogue)) || (substr($matcher[2],1) != _VERSION_) ){
		unset($o_env);
		header("HTTP/1.1 404 Not Found");
		$CODE_RESPONSE = 404;
		include( _PATH_SITE_ . _FILE_ERRORDOCUMENT_);
		exit();
	}
// Headers
	$o_env->cache_headers(1);
	header("Content-type: text/javascript; charset=utf-8");
// Fichiers
	$contenu = '// JavaScript Document'.PHP_EOL;
	foreach($catalogue[$matcher[1]] as $script) $files[] = file_get_contents($script);
	$contenu.= implode(PHP_EOL,$files);
	if(!empty($format)) foreach($files as $key => $file) $contenu.= PHP_EOL.'// '.$key.' : '.strlen($file);
// Expédition du script
	if( isset($_SERVER['HTTP_ACCEPT_ENCODING']) && preg_match('/gzip/',$_SERVER['HTTP_ACCEPT_ENCODING']) ){
		header("Content-Encoding: gzip"); $compress = gzencode ($contenu, 9); print($compress);
	}else print($contenu);
?>