<?
class m_actes {
	var $o_db = false;
	var $o_nav = false;
	
	function __construct(){
		global $o_db,$o_nav;
		$this->o_db = $o_db;
		$this->o_nav = $o_nav;
	}
	// Extraction de tous les actes actions liés à une commune, avec les URLs
	public	function get_actes_actions($datas){
				$sql = "SELECT";
				$sql.= " `DAA_NOM` as nom";
				$sql.= ",`DAA_SUBURL` as suburl";
				$sql.= ",`DAA_COURDAPPEL` as courdappel";
				$sql.= " FROM `"._TABLE_ACTES_ACTIONS_."`";
				if( !$datas["courdappel"]) $sql.= " WHERE `DAA_COURDAPPEL` = 0";
				$sql.= ";";
				$results = $this->o_db->sql_fetchrowset($this->o_db->sql_query($sql));
				if(!empty($results)){
					
					$o_uri = $this->o_nav->get_uri('acte', 'fr', true);
					$declinaisons = explode(",", $o_uri->declinaison);
					foreach($results as $key => $r){
						$uri = $o_uri->uri;
						foreach($declinaisons as $d){
							switch($d){
								case 'DPT'		: $replace = $datas["dpt"]; break;
								case 'COMMUNE'	: $replace = $datas["com_suburl"]; break;
								case 'CP' 		: $replace = $datas["cp"]; break;
								case 'ACTION' 	: $replace = $r["suburl"]; break;
							}
							$uri = preg_replace('/'.$d.'/', $replace, $uri);
						}
						$results[$key]["url"] = _URL_SITE_ . preg_replace('/%2F/','/',urlencode($uri));
						$results[$key]["lien"] = "<strong>".$r["nom"]."</strong> par huissier compétent sur ".$datas["com_nom"];
					}
					return (count($results) == 1 ) ? $results[0]:$results;
					return $results;
				}else $this->o_nav->reponse(503);
			}
	// Extraction d'un acte action
	public	function get_acte_action($action){
				$sql = "SELECT";
				$sql.= " `DAA_ID` as id";
				$sql.= ",`DAA_NOM` as nom";
				$sql.= ",`DAA_SUBURL` as suburl";
				$sql.= ",`DAA_COURDAPPEL` as courdappel";
				$sql.= " FROM `"._TABLE_ACTES_ACTIONS_."`";
				$sql.= " WHERE `DAA_SUBURL` = ".$this->o_db->secure_data($action, true);
				$sql.= ";";
				$o_result = $this->o_db->sql_fetchobject($this->o_db->sql_query($sql));
				if(!empty($o_result)) return $o_result;
				else $this->o_nav->reponse(404);
			}
	// Extraction des actes
	public	function get_actes($acte_action_id){
				$sql = "SELECT";
				$sql.= " `DA_NOM` as acte";
				$sql.= ",`DAS_NOM` as segment";
				$sql.= " FROM `"._TABLE_ACTES_."`";
				$sql.= " LEFT JOIN `"._TABLE_ACTES_SEGMENTS_."` ON (`DAS_ID` = `DA__DAS_ID`)";
				$sql.= " WHERE";
				$sql.= " `DA__DAA_ID` = ".$acte_action_id;
				$sql.= ";";
				$t_results = $this->o_db->sql_fetchrowset($this->o_db->sql_query($sql));
				if(!empty($t_results)){
					foreach($t_results as $key => $tab){
						$retour[$tab["segment"]][] = $tab["acte"];
					}
					return $retour;
				}else $this->o_nav->reponse(503);
			}
}
?>