<?
class m_body {

	public		function get_classes($t){
					return !empty($t) ? implode(' ', array_unique($t)):'';
				}
	
	public		function gen_html($q = false){
					return $this->clean_html($this->treat_html($this->get_html($q)));
				}
				
	public		function treat_metas(){
					global $o_nav;
					$o_nav->page->title = $this->treat_html($o_nav->page->title);
					$o_nav->page->description = $this->treat_html($o_nav->page->description);
					$keywords = $this->treat_html($o_nav->page->keywords);
					$t_keywords = explode(",", $keywords);
					foreach($t_keywords as $k) $t_keywords_2[] = mb_strtolower(trim($k));
					$tu_keywords = array_unique($t_keywords_2);
					$o_nav->page->keywords = implode(",", $tu_keywords);
					$o_nav->page->h1 = $this->treat_html($o_nav->page->h1);
					$o_nav->page->txtref = $this->treat_html($o_nav->page->txtref);
				}
		
	protected	function get_html($q = false){
					if($q) return file_get_contents( $q );
					else{
						global $o_nav;
						return !empty($o_nav->page->html_code) ? $o_nav->page->html_code:( !empty($o_nav->page->html_file) ? file_get_contents( _PATH_HTML_ . $o_nav->page->html_file ):'');
					}
				}
	protected	function treat_html($html){
					preg_match_all(_SMARTY_REGEXP_, $html, $matcher);
					if(!empty($matcher[1])){
						$replacers = array();
						foreach($matcher[1] as $key => $var){
							if(defined($var)){
								$replacers["motif"][] = '/'.$matcher[0][$key].'/';
								$replacers["subst"][] = constant($var);
							}elseif(preg_match('/^_url_(([a-z]{2})_(.+))/', $var, $tag)){
								$motif = '/'.$matcher[0][$key].'/';
								if( isset($replacers["motif"]) && in_array($motif, $replacers["motif"]) ) $replacers["subst"][] = $replacers["subst"][array_search($motif, $replacers["motif"])];
								else{
									global $o_nav;
									$replacers["subst"][] = _URL_SITE_ . $o_nav->get_uri($tag[3], $tag[2]);
								}
								$replacers["motif"][] = $motif;
							}elseif( preg_match('/^_mail_([_a-zA-Z0-9]+)$/', $var, $mail) && defined($mail[1]) ){
								if(!isset($o_m_optimize)) $o_m_optimize = new m_optimize();
								$replacers["motif"][] = '/'.$matcher[0][$key].'/';
								$replacers["subst"][] = constant($mail[1]);
							}elseif( preg_match('/^_tel_(.+)/', $var, $num) && defined($num[1]) ){
								if(!isset($o_m_optimize)) $o_m_optimize = new m_optimize();
								$replacers["motif"][] = '/'.$matcher[0][$key].'/';
								$replacers["subst"][] = $o_m_optimize->tel_tactile(constant($num[1]));
							}elseif(preg_match('/^_trad_([a-z]+)/', $var, $clef)){
								$replacers["motif"][] = '/'.$matcher[0][$key].'/';
								global $o_m_traduction;
								$replacers["subst"][] = $o_m_traduction->trad($clef[1]);
							}elseif(preg_match('/^_spe_([a-z]+)/', $var, $spe)){
								if(!isset($o_m_special)) $o_m_special = new m_special();
								$replacers["motif"][] = '/'.$matcher[0][$key].'/';
								$replacers['subst'][] = ($spe[1] == "parutions") ? $o_m_special->parutions():'';
							}elseif(preg_match('/^_var_([-_a-zA-Z0-9]+)/', $var, $variable)){
								global $$variable[1];
								$replacers["motif"][] = '/'.$matcher[0][$key].'/';
								$replacers['subst'][] = $$variable[1];
							}
						}
						if(!empty($replacers)){
							$html = preg_replace($replacers["motif"], $replacers["subst"], $html);
						}
					}
					return $html;
				}
	protected	function clean_html($html){
					return preg_replace('/\s&\s/', ' &amp; ', $html);
				}

	var $t_js_files = array();
	public		function gen_js_files(){
					global $o_nav;
					if(!empty($o_nav->page->fichiers_js_body)){
						$t_vue = explode(',',$o_nav->page->fichiers_js_body);
						$this->t_js_files = array_merge($this->t_js_files, $t_vue);
					}
					if(!empty($this->t_js_files)){
						// Tri sur les fichiers pour que B(ody) soit en premier car contient jQuery
							sort($this->t_js_files);
						foreach($this->t_js_files as $f){
							$t[] = '<script type="text/javascript" src="'._URL_LIB_.'js/'.$f.'_'._VERSION_.'.js"></script>';
						}
					}
					return (isset($t) ? "\t".implode(PHP_EOL."\t", $t).PHP_EOL:'');
				}
	
	// Aucune valeur de t_jsol ne doit être terminée par un ";"	
	var $t_jsol = array();
	public		function get_jsol(){
					return !empty($this->t_jsol) ? "\t".'<div id="jsol"><!--'.implode(';',array_unique($this->t_jsol)).'--></div>'.PHP_EOL:'';
				}
	
	// $( document ).ready() will only run once the page Document Object Model (DOM) is ready
	// Toutes les valeurs doivent se terminer par un ";"			
	var $t_scripts_DR = array();
	protected	function gen_scripts_DR(){
					if(!empty($this->t_scripts_DR)) $this->t_scripts[] = '$(document).ready(function(){'.implode('', $this->t_scripts_DR).'});';
				}
	
	// $( window ).load(function() { ... }) will run once the entire page (images or iframes), not just the DOM, is ready
	// Toutes les valeurs doivent se terminer par un ";"
	var $t_scripts_WOL = array();
	protected	function gen_scripts_WOL(){
					if(!empty($this->t_scripts_WOL)) $this->t_scripts[] = '$( window ).on("load", function(){'.implode('', $this->t_scripts_WOL).'});';
				}
				
	// Toutes les valeurs doivent se terminer par un ";"			
	var $t_scripts = array();
	public		function get_scripts(){
					if(!empty($this->t_scripts_DR)) $this->gen_scripts_DR();
					if(!empty($this->t_scripts_WOL)) $this->gen_scripts_WOL();
					return !empty($this->t_scripts) ? "\t".'<script type="text/javascript">'.implode(PHP_EOL, $this->t_scripts)."</script>".PHP_EOL:'';
				}
	
	// Breadcrumb
	public 		function determinant($dpt){
					$t_dpt = explode(" ", $dpt);
					if( $t_dpt[0] == "Paris" ) return "";
					elseif( preg_match('/^e/i', $t_dpt[0]) ) return "l’";
					elseif( preg_match('/e$/', $t_dpt[0]) ) return "la ";
					elseif( preg_match('/s$/', $t_dpt[0]) ) return "les ";
					else return "le ";	
				}
							
	public 		function breadcrumb(){
					global $o_nav;
					$bread[] = $o_nav->normal_link( _URL_SITE_ , "Huissier compétent");
					$t_uri = explode('/', substr( preg_replace('/\/$/', '', $o_nav->script_demande_clean), 1));
					switch(count($t_uri)){
						case 1 : // Cas d'une département
									if( $o_nav->page->tag == 'departement'){
										global $_DPT_NOM_, $_DPT_NUM_;
										$bread[] = "Huissier compétent sur " . $this->determinant($_DPT_NOM_) . $_DPT_NOM_." ( ".$_DPT_NUM_." )";
									}
									break;
						case 2 : // Cas d'une commune
									if( $o_nav->page->tag == 'commune'){
										global $_DPT_NOM_, $_DPT_NUM_, $_COMMUNE_NOM_, $_COMMUNE_CP_;
										$bread[] = $o_nav->normal_link( _URL_SITE_ . $t_uri[0] . "/", "Huissier compétent sur " . $this->determinant($_DPT_NOM_) . $_DPT_NOM_." ( ".$_DPT_NUM_." )");
										$bread[] = "Huissier compétent sur " . $_COMMUNE_NOM_ ." ( ".$_COMMUNE_CP_." )";
									}
									break;
						case 3 : // Cas d'un acte
									if( $o_nav->page->tag == 'acte'){
										global $_DPT_NOM_, $_DPT_NUM_, $_COMMUNE_NOM_, $_COMMUNE_CP_, $o_acte_action;
										$bread[] = $o_nav->normal_link( _URL_SITE_ . $t_uri[0] . "/", "Huissier compétent sur " . $this->determinant($_DPT_NOM_) . $_DPT_NOM_." ( ".$_DPT_NUM_." )");
										$bread[] = $o_nav->normal_link( _URL_SITE_ . $t_uri[0] . "/" . $t_uri[1] . "/", "Huissier compétent sur " . $_COMMUNE_NOM_ ." ( ".$_COMMUNE_CP_." )");
										$bread[] = $o_acte_action->nom . " par Huissier de Justice";
									}
									break;
					}
					return implode(' &gt; ', $bread);
				}
}
?>