<?
class m_geo {
	var $o_db = false;
	var $o_nav = false;
	
	function __construct(){
		global $o_db,$o_nav;
		$this->o_db = $o_db;
		$this->o_nav = $o_nav;
	}
	// Extraction de tous les départements, avec les URLs
	public	function get_departement_all(){
				$sql = "SELECT";
				$sql.= " `DC_DPT` as num";
				$sql.= ",`DD_NOM` as nom";
				$sql.= " FROM `"._TABLE_COMMUNES_."`";
				$sql.= " LEFT JOIN `"._TABLE_DEPARTEMENTS_."` ON (`DD_NUM` = `DC_DPT`)";
				$sql.= " GROUP BY `DC_DPT`";
				$sql.= ";";
				$results = $this->o_db->sql_fetchrowset($this->o_db->sql_query($sql));
				if(!empty($results)){
					foreach($results as $key => $r){
						$o_uri = $this->o_nav->get_uri('departement', 'fr', true);
						$results[$key]["url"] = _URL_SITE_ . preg_replace('/%2F/','/',urlencode(preg_replace('/'.$o_uri->declinaison.'/',$r["num"],$o_uri->uri)));
					}
					return $results;
				}else $this->o_nav->reponse(503);
			}
	// Extraction d'un département (il faut qu'il soit dans la liste des communes)
	public	function get_departement($dpt){
				$sql = "SELECT";
				$sql.= " `DC_DPT` as num";
				$sql.= ",`DD_NOM` as nom";
				$sql.= ",`DD_COURDAPPEL` as courdappel";
				$sql.= " FROM `"._TABLE_COMMUNES_."`";
				$sql.= " LEFT JOIN `"._TABLE_DEPARTEMENTS_."` ON (`DD_NUM` = `DC_DPT`)";
				$sql.= " WHERE `DC_DPT` = '".$dpt."'";
				$sql.= ";";
				$o_result = $this->o_db->sql_fetchobject($this->o_db->sql_query($sql));
				if(!empty($o_result)) return $o_result;
				else $this->o_nav->reponse(404);
			}
	// Extraction des données de communes, avec les URLs
	public	function get_commune_datas($critere = false){
				$sql = "SELECT";
				$sql.= " `DC_NOM` as nom";
				$sql.= ",`DC_SUBURL` as suburl";
				$sql.= ",`DC_DPT` as dpt";
				$sql.= ",`DC_CP` as cp";
				$sql.= ",`DD_COURDAPPEL` as courdappel";
				$sql.= " FROM `"._TABLE_COMMUNES_."`";
				$sql.= " LEFT JOIN `"._TABLE_DEPARTEMENTS_."` ON (`DD_NUM` = `DC_DPT`)";
				if( $critere ){
					if( preg_match("/^[0-9]{2}$/", $critere) ) $sql.= " WHERE `DC_DPT` = ".$this->o_db->secure_data($critere);
					elseif( preg_match("/^[0-9]{5}$/", $critere) ) $sql.= " WHERE `DC_CP` = ".$this->o_db->secure_data($critere, true);
					elseif( preg_match("/^([a-z0-9-]+)-([0-9]{5})$/", $critere, $matcher) ){
						$sql.= " WHERE";
						$sql.= " `DC_SUBURL` = ".$this->o_db->secure_data($matcher[1], true);
						$sql.= " AND `DC_CP` = ".$this->o_db->secure_data($matcher[2], true);
					}elseif( preg_match("/^[a-z0-9-]+$/", $critere) ) $sql.= " WHERE `DC_SUBURL` = ".$this->o_db->secure_data($critere, true);
				}
				$sql.= " ORDER BY `DC_NOM`";
				$sql.= ";";
				$results = $this->o_db->sql_fetchrowset($this->o_db->sql_query($sql));
				if(!empty($results)){
					$o_uri = $this->o_nav->get_uri('commune', 'fr', true);
					$declinaisons = explode(",", $o_uri->declinaison);
					foreach($results as $key => $r){
						$uri = $o_uri->uri;
						foreach($declinaisons as $d){
							switch($d){
								case 'DPT'		: $replace = $r["dpt"]; break;
								case 'COMMUNE'	: $replace = $r["suburl"]; break;
								case 'CP' 		: $replace = $r["cp"]; break;
							}
							$uri = preg_replace('/'.$d.'/', $replace, $uri);
						}
						$results[$key]["url"] = _URL_SITE_ . preg_replace('/%2F/','/',urlencode($uri));
					}
					return (count($results) == 1 ) ? $results[0]:$results;
				}else $this->o_nav->reponse(404);
			}
}
?>