<?
/*****************************************************
	Tous les calculs sont faits ici dans cette section
*****************************************************/
// Instantiation du controlleur spécifique
	$o_controlleur = new c_commun();
// Instantiation des modeles indispensables
	$o_m_head = new m_head();
	$o_m_body = new m_body();
	$o_m_menu = new m_menu();
	$o_m_optimize = new m_optimize();
	$o_m_geo = new m_geo();
	$o_m_actes = new m_actes();
// Tests
	$dpt = $o_nav->demande[0];
	$commune_suburl = $o_nav->demande[1];
	$cpt = $o_nav->demande[2];
	// Du département - Si demande n'est pas un département valide ==> 404
		$o_dpt = $o_m_geo->get_departement($dpt);
	// De la commune - Si demande n'est pas un département valide ==> 404
		$t_commune = $o_m_geo->get_commune_datas($commune_suburl.'-'.$cpt);
	// De la synchronisation des départements
		if( $o_dpt->num != $t_commune["dpt"] ) $o_nav->reponse(404);
	// De l'URL - Si script_demande ne se termine pas par un "/" redirection avec "/"
		if( !preg_match("/\/$/", $o_nav->script_demande) ) $o_nav->reponse(301, _URL_SITE_ . substr($o_nav->script_demande,1) . "/", true);
// Redirection internautes
	$o_controlleur->redirection( ( $o_dpt->courdappel == 1 ) ? _URL_TARGET_SUP_COURDAPPEL_:_URL_TARGET_SUP_NATIONAL_ );
// Initialisations
	$_DPT_NUM_ = $o_dpt->num;
	$_DPT_NOM_ = $o_dpt->nom;
	$_COMMUNE_NOM_ = $t_commune["nom"];
	$COMMUNE_SUBURL = $t_commune["suburl"];
	$_COMMUNE_CP_ = $t_commune["cp"];
	$_COMMUNE_COURDAPPEL_ = $t_commune["courdappel"];
	$t_departements = $o_m_geo->get_departement_all();
	$commune = $_COMMUNE_NOM_." ( ".$_COMMUNE_CP_." )";
	// Header
		$t_mail_secure_img_a = array("email" => _MAIL_CONTACT_, "complement" => "?subject=Demande d'intervention d'Huissier de Justice sur ".str_replace("’", "'", $commune));
		$t_mail_secure_img_img = array("src" => _URL_LIB_.'img/_mono/email.jpg', "alt" => 'Contacter un huissier sur '.str_replace("’", "'", $commune));
		define("_URGENCE_EMAIL_", $o_m_optimize->secure_mail_img($t_mail_secure_img_a, $t_mail_secure_img_img) );
		$t_tel_img_a = array("tel" => _TEL_CONTACT_);
		$t_tel_img_img = array("src" => _URL_LIB_.'img/_mono/telephone.png', "alt" => "Contacter notre serveur téléphonique pour l'intervention urgente d'un Huissier de Justice sur ".str_replace("’", "'", $commune) );
		$_URGENCE_TEL_ = $o_m_optimize->tel_tactile_img($t_tel_img_a, $t_tel_img_img);
	// Breadcrumb
		$_BREADCRUMB_ = $o_m_body->breadcrumb();
	// Metas
		$o_m_body->treat_metas();
		$_H1_ = $o_nav->page->h1;
	// Footer
		$t_mail_secure_a = $t_mail_secure_img_a;
		$t_mail_secure_a["lien"] = $t_mail_secure_img_img["alt"];
		$_URGENCE_EMAIL_FOOTER_ = $o_m_optimize->secure_mail($t_mail_secure_a);
// Gestion du menu
	define( "_MENU_HEADER_", $o_m_menu->get_menu() );
// Extraction des actes actions liés
	$t_datas = array(	"dpt"		=> $_DPT_NUM_,
						"com_suburl"=> $COMMUNE_SUBURL,
						"com_nom"	=> $_COMMUNE_NOM_,
						"cp"		=> $_COMMUNE_CP_,
						"courdappel"=> $_COMMUNE_COURDAPPEL_);
	$t_actes_actions = $o_m_actes->get_actes_actions($t_datas);
	$_ACTES_ACTIONS_ = "";
	if( !empty($t_actes_actions)){
		foreach($t_actes_actions as $key => $tab) $html[] = $o_nav->normal_link($tab["url"],$tab["lien"]);
		$_ACTES_ACTIONS_ = "<p>".implode("</p><p>", $html)."</p>";
	}
// Création de la carte | Cartographie :: dimension d'origine : width="378px" height="388px" ratio : 0,97422680412371 | $( "svg" ).width(320); OK !!
	if( !empty($t_departements)){
		$carto_w = '100%';
		$carto_h = '100%';
		$_CARTO_ = $o_m_body->gen_html( _PATH_HTML_ . "_carto.svg");
	}
// Paramétrages conditionnels
// Javascript
	if( !empty($t_departements)){
		$js[] = '';
		foreach($t_departements as $key => $tab){
			$d = $tab["num"];
			if( $d != $_DPT_NUM_ ){
				$js[] = '$( "#dpt_'.$d.'_section, #m_i_'.$d.'" ).bind( "mouseenter", function() { $( "#dpt_'.$d.'_off" ).hide(); $( "#m_i_'.$d.'" ).addClass( "actif" ); } );';
				$js[] = '$( "#dpt_'.$d.'_section, #m_i_'.$d.'" ).bind( "mouseleave", function() { $( "#dpt_'.$d.'_off" ).show(); $( "#m_i_'.$d.'" ).removeClass( "actif" ); } );';
			}else $js[] = '$( "#dpt_'.$d.'_off" ).hide();';
			$js[] = '$( "#dpt_'.$d.'_section" ).css( { "cursor": "pointer" } );';
			$js[] = '$( "#dpt_'.$d.'_section" ).attr( "title", "Huissier compétent sur '.$o_m_body->determinant($tab["nom"]).$tab["nom"].' ( '.$d.' )" );';
			$js[] = '$( "#dpt_'.$d.'_section, #m_i_'.$d.'" ).bind( "click", function() { location.href = "'.$tab["url"].'"; } );';
		}
		$js[] = '';
		$o_m_body->t_scripts_DR[] = implode(PHP_EOL."\t\t", $js);
	}
// Style
/*****************************************************/	
// Entêtes HTTP
	$o_controlleur->gen_http_headers();
?>
<<?=$o_controlleur->doctype;?>>
<html lang="<?=$o_controlleur->get_lang();?>">
<head>
<?=$o_m_head->gen_metas();?>
<?=$o_m_head->gen_links();?>
<?=$o_m_head->gen_js_files();?>
<?=$o_m_head->get_styles();?>
</head>

<body class="<?=$o_m_body->get_classes($o_controlleur->body_classes);?>">
<?=$o_m_body->gen_html( _PATH_HTML_ . "_header.html");?>
<?=$o_m_body->gen_html().PHP_EOL;?>
<?=$o_m_body->gen_html( _PATH_HTML_ . "_footer.html");?>
<?=$o_m_body->get_jsol();?>
<?=$o_m_body->gen_js_files();?>
<?=$o_m_body->get_scripts();?>
</body>
</html>